title: "Family Member Details"
type: "object"

properties:
  relationship_to_proband:
    $ref: "../core.json#/definitions/BiologicalRelationship"
    title: Relationship with Proband
  sample_request:
    $ref: '../structs.json#/definitions/SampleRequest'
  subject:
    $ref: './Subject.json'
  remote_mrn:
    type: string
    title: Patient ID MRN
    description: Clinic's Medical Record Number
    default: ""
  indications:
    title: Clinical Phenotype
    description: Indicate Clinical Phenotype
    type: string
    default: ""
  affliction_status:
    title: Check if this individual is affected similarly to the proband
    description: Affliction Status
    type: boolean
    default: false
  secondary_findings_opt_out:
    title: Opt-out of Secondary Findings
    description: Secondary Findings
    type: boolean
    default: false
  request_genetic_counseling:
    $ref: "../core.json#/definitions/PostTestCounselingType"
    title: Request for genetic counseling
    type: string
    default: NO_COUNSELING
required:
  - relationship_to_proband
  - subject
  - sample_request
additionalProperties: false
